gnutls_set_default_priority(3)

NAME
gnutls_set_default_priority - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_set_default_priority(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Sets the default priority on the ciphers, key exchange methods, and macs. This is the recommended method of setting the defaults, in order to promote consistency between applications using GnuTLS, and to allow GnuTLS using applications to update settings in par with the library. For client applications which require maximum compatibility consider calling gnutls_session_enable_compatibility_mode() after this function.

For an application to specify additional options to priority string consider using gnutls_set_default_priority_append().

To allow a user to override the defaults (e.g., when a user interface or configuration file is available), the functions gnutls_priority_set_direct() or gnutls_priority_set() can be used.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
2.1.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/